
From: Johannes Stezenbach <js@linuxtv.org>

Don't build empty built-in.o when DVB/V4L is not configured.  Thanks to Sam
Ravnborg and Keith Owens.

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/Makefile |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN drivers/media/Makefile~dvb-avoid-building-empty-built-ino drivers/media/Makefile
--- devel/drivers/media/Makefile~dvb-avoid-building-empty-built-ino	2005-09-04 16:50:49.000000000 -0700
+++ devel-akpm/drivers/media/Makefile	2005-09-04 16:50:49.000000000 -0700
@@ -2,4 +2,7 @@
 # Makefile for the kernel multimedia device drivers.
 #
 
-obj-y        := video/ radio/ dvb/ common/
+obj-y := common/
+obj-$(CONFIG_VIDEO_DEV) += video/
+obj-$(CONFIG_VIDEO_DEV) += radio/
+obj-$(CONFIG_DVB)       += dvb/
_
